Arch Linux

Please read this before reporting a bug:

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!

FS#36667 - [python2-sip/python2-pyqt4] segfaults with latest python2-sip

Attached to Project: Arch Linux
Opened by Carl Reinke (Mindless) - Sunday, 25 August 2013, 14:05 GMT
Last edited by Andrea Scarpino (BaSh) - Monday, 26 August 2013, 13:42 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Andrea Scarpino (BaSh)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No


hgview segfaults before displaying the log window. Downgrading python2-sip to 4.14.7-1 (and therefore also python2-pyqt4 to 4.10.2-2) fixes the issue.

Additional info:
hgview 1.7.1-1
python2-pyqt4 4.10.3-1
python2-sip 4.15.1-1

Steps to reproduce:

Same thing happens to edit and tortoisehg, seems to be related to python2-pyqt4 and/or python2-sip related.
This task depends upon

Closed by  Andrea Scarpino (BaSh)
Monday, 26 August 2013, 13:42 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#36661 
Comment by Andrzej Giniewicz (Giniu) - Sunday, 25 August 2013, 19:52 GMT
Thank you for report. It is interesting, because hgview does not use it's own precompiled libraries, so it should be independent from sip and pyqt4 updates. I will look into it ASAP.

Do other PyQt applications work for you, for example "eric" editor?
Comment by Carl Reinke (Mindless) - Sunday, 25 August 2013, 20:06 GMT
eric (which I have never used) segfaults even with the downgraded packages. tortoisehg (which is the what I actually care about) segfaults with the latest packages but works with the downgraded packages.
Comment by Andrzej Giniewicz (Giniu) - Sunday, 25 August 2013, 20:38 GMT
I see, then this seems to be unrelated to hgview itself, it's rather python2-sip or python2-pyqt4. I'll adjust and reassign this ticket to BaSh - last packager of python2-pyqt4 and python2-sip, because it seems to be more general issue.

Anyway, do you have all packages updated to latest releases? Also, make sure that mirror you use is in sync and working.